package com.qunzhixinxi.hnqz.admin.enums;

/**
 * {@code ChannelEnum} 渠道枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-17
 * @since ver.1.0.0
 */
public enum ChannelEnum {

	DING("人力家", "0"),
	TAX_HELPER("税邦云", "1");

	private String type;
	private String val;

	ChannelEnum(String type, String val) {
		this.type = type;
		this.val = val;
	}

	public String type() {
		return this.type;
	}

	public String val() {
		return this.val;
	}

	public static ChannelEnum resolve(String val){
		for (ChannelEnum channelEnum: ChannelEnum.values()){
			if (channelEnum.val.equals(val)){
				return channelEnum;
			}
		}
		return null;
	}

}
